Package org.apache.velocity.runtime.resource

# Class ResourceFactory

java.lang.Object
org.apache.velocity.runtime.resource.ResourceFactory

public class ResourceFactory extends Object
Class responsible for instantiating `Resource` objects, given name and type.

Version:
  $Id$
Author:
  Jason van Zyl, Geir Magnusson Jr.

## Constructor Summary

Constructors
Constructor
Description
`ResourceFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Resource`
`getResource(String resourceName, int resourceType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceFactory

public ResourceFactory()

## Method Details

### getResource

public static Resource getResource(String resourceName, int resourceType)

Parameters:
  `resourceName` -
  `resourceType` -
Returns:
  The resource described by name and type.